Subject: Re: bug#19013: bug#19152: bug#19013: 25.0.50; Suggestions for M-x commands

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Nov 2014 15:12:14 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Sun, 23 Nov 2014 23:11:22 -0500
> Cc: [email-masked], [email-masked],
> 	[email-masked]
> 
> >> I believe there should be a variable to customize this behavior
> >> (say, suggest-shorter-command-limit; defaulting to 5, but with nil as
> >> an option to disable such suggestions altogether.)  As a workaround,
> >> I’ve simply disabled it entirely (see the patch MIMEd.)
> 
> I don't think that's needed.

I disagree.  This is new behavior different from previous one, and
it's clearly at least a little bit controversial.  So I think we
should have an option to turn it off and get back the old behavior.
Something like what Ivan proposed, with minor changes, would be good,
IMO.